[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: 2.6.13, experimental and 2.6.14-rc ...

On Wed, Oct 05, 2005 at 12:12:10PM -0400, Joey Hess wrote:
> Sven Luther wrote:
> > Why would it break the beta ? since we should now be using the meta packages
> > everywhere, and the 2.6.13 should add no new dependency, the only problem i
> > would see is the inclusion of kernel packages in the distribution media, and
> > their dependencies (yaird and/or initramfs-tools). That and the d-i
> > kernel/installer kernel version skew which may have some problems.
> d-i contains code to install and set up initrd-tools. The likelyhood of
> yaird or initramfs-tools working everywhere with no d-i changes is zero.

Ah, ...

Well, ideally i believe it would be the responsability of the kernel package
to set that up, but this is probably not going to happen until we get ride of
kernel-package or rewrite it to some extent.

Now, i installed yaird, and the only modification i had to do to my
/etc/kernel-img.conf was to set the mkinitrd-hook, or whatever this one was
called to point to yaird instead of mkinitrd, and it worked out of the box,
and since a solution using this would use an automatically replacement
solution, i think there should be no major problem for yaird at least, not
sure about initramfs-tools though.


Sven Luther

Reply to: